# Poco::Net

# class MessageException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: NetException

All Base Classes: Poco::Exception, Poco::IOException, NetException, Poco::RuntimeException, std::exception

Known Derived Classes: MultipartException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### MessageException

MessageException(
int code = 0
);

### MessageException

MessageException(
const MessageException & exc
);

### MessageException

MessageException(
const std::string & msg,
int code = 0
);

### MessageException

MessageException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### MessageException

MessageException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~MessageException

~MessageException();

## Member Functions

### className

const char * className() const;

See also: Poco::Net::NetException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Net::NetException::name()

### operator =

MessageException & operator = (
const MessageException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::NetException::rethrow()